# pip install winshell

import winreg as wrg
from pathlib import Path

from winshell import desktop, CreateShortcut


def browser_default():
    br_choice = wrg.OpenKeyEx(wrg.HKEY_CURRENT_USER, r"SOFTWARE\Microsoft\Windows\Shell\Associations\UrlAssociations"
                                                     r"\https\UserChoice")
    br_name = wrg.QueryValueEx(br_choice, 'ProgId')[0]
    br_com = wrg.OpenKeyEx(wrg.HKEY_CLASSES_ROOT, f"{br_name}\\shell\\open\\command")
    return wrg.QueryValueEx(br_com, '')[0].split('"')[1]


def create_shortcut(path, target='', arguments='', icon=''):
    if not icon:
        icon = target
    CreateShortcut(
        Path=str(path),
        Target=target,
        Arguments=arguments,
        StartIn=str(Path(target).parent),
        Icon=(f"{icon}", 0)
    )


create_shortcut(Path(desktop()) / "VLC Player.lnk", r"C:\Program Files\VideoLAN\VLC\vlc.exe")
create_shortcut(Path(desktop()) / "Codeby.lnk", browser_default(), "https://codeby.net/")
